package de.tu_darmstadt.tk.SmartHomeNetworkSim.core;

/**
 * Class which stores and returns the different configuration classes
 *
 * @author Andreas T. Meyer-Berg
 */
public class ConfigurationManager {

	/**
	 * Visual Configuration
	 */
	private VisualizationConfiguration visual;
	
	/**
	 * Import Configuration
	 */
	private ImportConfiguration importConf;
	
	/**
	 * Initialize the Configuration Manager
	 */
	public ConfigurationManager() {
		visual = new VisualizationConfiguration();
		importConf = new ImportConfiguration();
	}

	/**
	 * Returns the visualization configuration
	 * 
	 * @return the visualization configuration
	 */
	public VisualizationConfiguration getVisualizationConfiguration() {
		return visual;
	}
	
	/**
	 * Returns the import configuration
	 * 
	 * @return the import configuration
	 */
	public ImportConfiguration getImportConfiguration(){
		return importConf;
	}
}
